Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225668 - Merge Review: cscope
Summary: Merge Review: cscope
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:54 UTC by Nobody's working on this, feel free to take it
Modified: 2009-05-08 22:00 UTC (History)
1 user (show)

Fixed In Version: 15.5-15.2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-08 22:00:24 UTC
ajax: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:54:01 UTC
Fedora Merge Review: cscope

http://cvs.fedora.redhat.com/viewcvs/devel/cscope/
Initial Owner: nhorman@redhat.com

Comment 1 Neil Horman 2007-01-31 18:33:44 UTC
Don't Think anything needs to be done here.  I assume that merge review implies
merge to fedora core, but cscope has been in core for some time now.  Please
reopen if this is not the case

Comment 2 Kevin Fenzi 2007-01-31 20:45:44 UTC
This is part of the merge of core and extras into the grand unified Fedora. 
All core packages are going to need reviewed as part of this process. 

Reopening to allow this package to get reviewed. 

Comment 3 Neil Horman 2007-02-01 20:28:32 UTC

      - MUST: rpmlint must be run on every package. The output should be posted
in the review.
Check, rpmlint passes cscope-15.5-15.2.%{dist} with no output

      - MUST: The package must be named according to the Package Naming Guidelines.
Check

      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec
Check

      - MUST: The package must meet the Packaging Guidelines.
Check

      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.
Check. BSD license

      - MUST: The License field in the package spec file must match the actual
license.
Check

      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
Check

      - MUST: The spec file must be written in American English.
Check

      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest ([WWW]
http://www.ioccc.org/).
Check

      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
Check

      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
Check

      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
[WWW] FE-ExcludeArch-x86, [WWW] FE-ExcludeArch-x64, [WWW] FE-ExcludeArch-ppc
N.A. Package builds on all supported arches

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.
Check.

      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A. cscope does not support locales.

      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. If the package has multiple subpackages with libraries,
each subpackage should also have a %post/%postun section that calls /sbin/ldconfig. 
N/A.  No shared libraries included.




Comment 4 Dennis Gilmore 2007-02-01 20:45:09 UTC
You can not review your own package  someone else must do it.  Just based on
your review here i see one problem  the disttag nees to be %{?dist}  not %{dist}

Comment 5 Paul Howarth 2007-02-04 09:00:56 UTC
There should also not be a dot before the %{?dist}, since %{?dist} includes one
already. The result of the extra dot is that this package just hit Rawhide:

cscope-15.5-15.2..fc7.i386.rpm

Note the double dot in the release name.

Comment 6 Neil Horman 2007-02-05 20:31:32 UTC
Comments #4 and #5 fixed in cscope-15.5-15.3%{?dist}.  Thanks!

Comment 7 Adam Jackson 2007-06-29 20:32:45 UTC
Package looks good to me, APPROVED.

Comment 8 Adam Jackson 2009-05-08 22:00:24 UTC
Package is fine in rawhide, closing.


Note You need to log in before you can comment on or make changes to this bug.